EN
  • EN EN
  • DE DE
  • TR TR
  • FR FR
  • ES ES
  • PL PL

Forum - Age of Empires IV - We need an update for 8324.

user

We need an update for 8324.

6
by X-Ray333
Created On 11/30/2021 5:54:19 AM
#1
user
X-Ray333
Premium Member
15 posts
As most of us know that updates to the game changes the ablity of the trainer the work with the game, I guess some poeple just don't get it.  We need an update to 8324 for the trainer Please. I for one am very happy  and thankful that you guys keep us up to date as soon as you do.  Keep up the Great work.
2
0
0
#2
user
IronJulia
Team Member
20232 posts
The update is on the to-do list.
Thanks for the kind words :)
1
0
0
#3
user
JJ39
Team Member
509 posts
Latest version is now available in PLITCH.
2
0
1
#4
user
X-Ray333
Premium Member
15 posts
Thank You.
0
0
0
#5
user
dedicatedtoadventure
Premium Member
4 posts
JJ39
11/30/2021 8:54:47 AM
user

Latest version is now available in PLITCH.

Do I need to re-install Plitch??  Still doesn't work...

0
0
1
#6
user
IronJulia
Team Member
20232 posts
dedicatedtoadventure
11/30/2021 8:25:14 PM
user

Do I need to re-install Plitch??  Still doesn't work...

What isn't working for you?
Steam or Msstore?
0
0
0
Your Comment
user
😀
You have to be signed in and registered to post a comment!
This website uses cookies to make your visit as userfriendly as possible. For further information please visit our privacy policy statements.